package org.openxma.hbmfilemerge;

/**
 * Describes the name of the attribute of an hibernate mapping xml element
 */
enum XmlElementAttribute {

    NAME("name"), ENTITY_NAME("entity-name"), CLASS("class");

    /**
     * the name of the xml attribute
     */
    private String name;

    private XmlElementAttribute(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

}
